// $Id: EERenderPlugin.h,v 1.14 2008/08/11 07:24:15 dellaric Exp $

#ifndef  EERenderPlugin_H
# define EERenderPlugin_H

/*!
  \file EERenderPlugin
  \brief Display Plugin for Quality Histograms
  \author B. Gobbo 
  \version $Revision: 1.14 $
  \date $Date: 2008/08/11 07:24:15 $
*/

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <TH2C.h>

class EERenderPlugin : public DQMRenderPlugin {

 public:

  virtual void initialise( int argc, char **argv );

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

 private:

  TH2S* text1;
  TH2C* text3;
  TH2C* text4;
  TH2C* text6;
  TH2C* text7;
  TH2C* text8;
  TH2C* text9;
  TH2C* text10;

  int pCol3[7]; 
  int pCol4[10];
  int pCol5[10];
    
  void preDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTProfile( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH3F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );

  void postDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH3F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );

};

#endif //  EERenderPlugin_H
